BlockTermState (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.codecs, class: BlockTermState

Package org.apache.lucene.codecs

# Class BlockTermState

java.lang.Object
org.apache.lucene.index.TermState
org.apache.lucene.index.OrdTermState
org.apache.lucene.codecs.BlockTermState

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `Lucene104PostingsFormat.IntBlockTermState`

public class BlockTermState extends OrdTermState
Holds all state required for `PostingsReaderBase` to produce a `PostingsEnum` without re-seeking the terms dict.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `blockFilePointer`
  fp into the terms dict primary file (_X.tim) that holds this term
  `int`
  `docFreq`
  how many docs have this term
  `int`
  `termBlockOrd`
  the term's ord in the current block
  `long`
  `totalTermFreq`
  total number of occurrences of this term

  ### Fields inherited from class org.apache.lucene.index.OrdTermState

  `ord`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BlockTermState()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyFrom(TermState _other)`
  Copies the content of the given `TermState` to this instance
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.index.TermState

  `clone`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### docFreq

    public int docFreq
    how many docs have this term

  - ### totalTermFreq

    public long totalTermFreq
    total number of occurrences of this term

  - ### termBlockOrd

    public int termBlockOrd
    the term's ord in the current block

  - ### blockFilePointer

    public long blockFilePointer
    fp into the terms dict primary file (_X.tim) that holds this term

- ## Constructor Details

  - ### BlockTermState

    protected BlockTermState()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### copyFrom

    public void copyFrom(TermState _other)
    Description copied from class: `TermState`
    Copies the content of the given `TermState` to this instance
    Overrides:
      `copyFrom` in class `OrdTermState`
    Parameters:
      `_other` - the TermState to copy

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `OrdTermState`